package com.chelvc.cloud.vehicle.api.constant;

import lombok.Getter;

/**
 * 优惠券活动发送类型枚举
 *
 * @author qizai
 * @date 2023/11/10
 */
@Getter
public enum CouponActivitySendType {

    /**
     * 全部会员
     */
    ALL("全部会员"),
    /**
     * 指定会员
     */
    DESIGNATED("指定会员");

    /**
     * 类型描述
     */
    private final String description;

    CouponActivitySendType(String str) {
        this.description = str;
    }
}
