package com.chelvc.cloud.vehicle.api.dto;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 文章信息
 *
 * @author xp
 * @data 2023/3/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class ArticleDTO implements Serializable {

    /**
     * 主键
     */
    private Long id;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 文章标题
     */
    private String title;

    /**
     * 文章内容
     */
    private String content;

    /**
     * 附件列表
     */
    private String attachments;

    /**
     * 浏览量
     */
    private Integer viewCount;

    /**
     * 状态
     */
    private String status;

}
