package com.chelvc.cloud.vehicle.api.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 搜索热词信息
 *
 * @author qizai
 * @date 2023/11/3
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class HotWordsDTO implements Serializable {

    /**
     * 关键字
     */
    private String keywords;

    /**
     * 分数
     */
    private Integer point;
}

