package com.chelvc.cloud.vehicle.api.param;

import java.io.Serializable;
import java.util.List;

import com.chelvc.framework.common.model.File;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 询价回复更新参数
 * @author xp
 * @data 2023/3/31
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class EnquireReplyModifyParam implements Serializable {

    /**
     * 询价id
     */
    private Long enquireId;

    /**
     * 回复内容
     */
    private String content;

    /**
     * 附件列表
     */
    private List<File> attachments;
}
