package com.chelvc.cloud.vehicle.api.param;

import lombok.*;
import lombok.experimental.SuperBuilder;

/**
 * 满优惠查询参数
 *
 * @author qizai
 * @date 2023/11/14
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
public class FullDiscountQueryParam extends BasePromotionQueryParam {

    /**
     * 活动名称
     */
    private String promotionName;

    /**
     * 是否赠优惠券
     */
    private Boolean couponFlag;

    /**
     * 优惠券ID
     */
    private Long couponId;
}
