package com.chelvc.cloud.vehicle.api.constant;


import lombok.Getter;

/**
 * 优惠券活动类型枚举
 *
 * @author qizai
 * @date 2023/11/10
 */
@Getter
public enum CouponActivityType {

    /**
     * 新人赠券
     */
    REGISTERED("新人赠券"),
    /**
     * 邀新赠券
     */
    INVITE_NEW("邀新赠券"),
    /**
     * 自动赠券
     */
    AUTO_COUPON("自动赠券"),
    /**
     * 精确发券
     */
    SPECIFY("精确发券");

    /**
     * 类型描述
     */
    private final String description;

    CouponActivityType(String description) {
        this.description = description;
    }
}
