package com.chelvc.cloud.vehicle.api.constant;

import lombok.Getter;

/**
 * 商品类型枚举
 *
 * @author qizai
 * @date 2023/11/12
 */
@Getter
public enum GoodsType {

    /**
     * "实物商品"
     */
    PHYSICAL_GOODS("实物商品"),
    /**
     * "虚拟商品"
     */
    VIRTUAL_GOODS("虚拟商品"),
    /**
     * "电子卡券"
     */
    E_COUPON("电子卡券");

    /**
     * 状态描述
     */
    private final String description;

    GoodsType(String description) {
        this.description = description;
    }
}
