package com.chelvc.cloud.vehicle.api.constant;

import lombok.Getter;

/**
 * 促销活动申请状态枚举
 *
 * @author qizai
 * @date 2023/11/10
 */
@Getter
public enum PromotionApplyStatus {

    /**
     * 申请
     */
    APPLY("申请"),
    /**
     * 通过
     */
    PASS("通过"),
    /**
     * 拒绝
     */
    REFUSE("拒绝");

    /**
     * 状态描述
     */
    private final String description;

    PromotionApplyStatus(String description) {
        this.description = description;
    }
}
