package com.chelvc.cloud.vehicle.api.dto;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;


/**
 * 优惠券活动项目信息
 *
 * @author qizai
 * @date 2023/11/12
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class CouponActivityItemDTO implements Serializable {

    /**
     * 主键
     */
    private Long id;

    /**
     * 优惠券活动ID
     */
    private Long activityId;

    /**
     * 优惠券ID
     */
    private Long couponId;

    /**
     * 优惠券数量
     */
    private Integer num;
}