package com.chelvc.cloud.vehicle.server.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * 用户数据模型
 *
 * @author qizai
 * @date 2023/11/12
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ToString(callSuper = true)
@TableName(autoResultMap = true)
public class User implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户昵称
     */
    private String nickname;
}
