package com.chelvc.cloud.vehicle.server.service;

import com.chelvc.cloud.vehicle.server.entity.FullDiscount;

import java.util.List;

/**
 * 满优惠业务操作接口
 *
 * @author qizai
 * @date 2023/11/14
 */
public interface FullDiscountService extends AbstractPromotionService<FullDiscount> {

    /**
     * 删除促销促销商品
     *
     * @param promotionIds 促销活动id
     */
    void deletePromotionGoods(List<Long> promotionIds);
}
