package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.server.entity.UserCoupon;

import java.util.List;

/**
 * 优惠券领取业务操作接口
 *
 * @author Woody
 * @date 2023/7/17
 */
public interface UserCouponService extends IService<UserCoupon> {

    /**
     * 关闭用户优惠券
     *
     * @param couponIds 优惠券id集合
     */
    void closeUserCoupon(List<Long> couponIds);
}
